<?php 

	$expert_videographer_studio_custom_css = '';

	// Site Title Color
	$expert_videographer_studio_site_title_color = get_theme_mod('expert_videographer_studio_site_title_color');
	$expert_videographer_studio_custom_css .= '.logo h1 a, .logo p.site-title a {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studio_site_title_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	// Site Tagline Color
	$expert_videographer_studio_site_tagline_color = get_theme_mod('expert_videographer_studio_site_tagline_color');
	$expert_videographer_studio_custom_css .= '.logo p.site-description {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studio_site_tagline_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studio_logo_size = get_theme_mod('expert_videographer_studio_logo_size'); // This value should be a percentage (e.g., 50 for 50%)
	if ($expert_videographer_studio_logo_size) {
		$logo_width_px = (350 * $expert_videographer_studio_logo_size) / 100; // Calculate the pixel width based on the percentage
		$expert_videographer_studio_custom_css .= '.site-logo img {';
		$expert_videographer_studio_custom_css .= 'width: '.esc_attr($logo_width_px).'px !important;';
		$expert_videographer_studio_custom_css .= '}';
	}

	/*----------------Width Layout -------------------*/
    $expert_videographer_studio_theme_lay = get_theme_mod( 'expert_videographer_studio_width_options','Full Width');
    if($expert_videographer_studio_theme_lay == 'Full Width'){
		$expert_videographer_studio_custom_css .='body{';
			$expert_videographer_studio_custom_css .='max-width: 100%;';
		$expert_videographer_studio_custom_css .='}';
	}else if($expert_videographer_studio_theme_lay == 'Contained Width'){
		$expert_videographer_studio_custom_css .='body{';
			$expert_videographer_studio_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$expert_videographer_studio_custom_css .='}';
	}else if($expert_videographer_studio_theme_lay == 'Boxed Width'){
		$expert_videographer_studio_custom_css .='body{';
			$expert_videographer_studio_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$expert_videographer_studio_custom_css .='}';
	}

	// Submenu Dropdown Effect
	$expert_videographer_studio_dropdown_anim = get_theme_mod('expert_videographer_studio_dropdown_anim');
	$expert_videographer_studio_custom_css .='.primary-navigation ul ul{';
		$expert_videographer_studio_custom_css .='animation: '.esc_attr($expert_videographer_studio_dropdown_anim).' 1s ease;';
	$expert_videographer_studio_custom_css .='}';


	// Topbar Color

	$expert_videographer_studio_headerbg_color = get_theme_mod('expert_videographer_studio_headerbg_color');
	$expert_videographer_studio_custom_css .= ' .page-template-home-custom #header {';
		$expert_videographer_studio_custom_css .= 'background: ' . esc_attr($expert_videographer_studio_headerbg_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studio_headermenu_color = get_theme_mod('expert_videographer_studio_headermenu_color');
	$expert_videographer_studio_custom_css .= ' .primary-navigation ul li a,.sf-arrows .sf-with-ul:after {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studio_headermenu_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studio_headeractivemenuhover_color = get_theme_mod('expert_videographer_studio_headeractivemenuhover_color');
	$expert_videographer_studio_custom_css .= ' .primary-navigation .current_page_item a,.primary-navigation a:hover {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studio_headeractivemenuhover_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studio_headeractivemenuhover_color = get_theme_mod('expert_videographer_studio_headeractivemenuhover_color');
	$expert_videographer_studio_custom_css .= ' .primary-navigation li.current_page_item a::before, .primary-navigation >li>a:active, .primary-navigation li a:hover::before {';
		$expert_videographer_studio_custom_css .= 'background: ' . esc_attr($expert_videographer_studio_headeractivemenuhover_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studio_headersubmenuicon_color = get_theme_mod('expert_videographer_studio_headersubmenuicon_color');
	$expert_videographer_studio_custom_css .= ' .sf-arrows .sf-with-ul:after {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studio_headersubmenuicon_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studio_headersubmenu_color = get_theme_mod('expert_videographer_studio_headersubmenu_color');
	$expert_videographer_studio_custom_css .= ' .primary-navigation ul ul a {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studio_headersubmenu_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studio_headersubmenuhover_color = get_theme_mod('expert_videographer_studio_headersubmenuhover_color');
	$expert_videographer_studio_custom_css .= ' .primary-navigation ul ul a:hover {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studio_headersubmenuhover_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studio_headersubmenubg_color = get_theme_mod('expert_videographer_studio_headersubmenubg_color');
	$expert_videographer_studio_custom_css .= ' .primary-navigation ul ul a {';
		$expert_videographer_studio_custom_css .= 'background: ' . esc_attr($expert_videographer_studio_headersubmenubg_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studio_headersubmenubghover_color = get_theme_mod('expert_videographer_studio_headersubmenubghover_color');
	$expert_videographer_studio_custom_css .= ' .primary-navigation ul ul a:hover {';
		$expert_videographer_studio_custom_css .= 'background: ' . esc_attr($expert_videographer_studio_headersubmenubghover_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studio_watchreeltext_color = get_theme_mod('expert_videographer_studio_watchreeltext_color');
	$expert_videographer_studio_custom_css .= ' #header .m-btn .bttn1 {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studio_watchreeltext_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studio_watchreelhrvtext_color = get_theme_mod('expert_videographer_studio_watchreelhrvtext_color');
	$expert_videographer_studio_custom_css .= ' #header .m-btn .bttn1:hover {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studio_watchreelhrvtext_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studio_watchreelhrvbg_color = get_theme_mod('expert_videographer_studio_watchreelhrvbg_color');
	$expert_videographer_studio_custom_css .= ' #header .m-btn .bttn1:hover {';
		$expert_videographer_studio_custom_css .= 'background: ' . esc_attr($expert_videographer_studio_watchreelhrvbg_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studio_buttontext_color = get_theme_mod('expert_videographer_studio_buttontext_color');
	$expert_videographer_studio_custom_css .= ' #header .m-btn .bttn2 {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studio_buttontext_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studio_buttonbg_color = get_theme_mod('expert_videographer_studio_buttonbg_color');
	$expert_videographer_studio_custom_css .= ' #header .m-btn .bttn2 {';
		$expert_videographer_studio_custom_css .= 'background: ' . esc_attr($expert_videographer_studio_buttonbg_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studio_buttonhvrtext_color = get_theme_mod('expert_videographer_studio_buttonhvrtext_color');
	$expert_videographer_studio_custom_css .= ' #header .m-btn .bttn2:hover {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studio_buttonhvrtext_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studio_buttonhrvbg_color = get_theme_mod('expert_videographer_studio_buttonhrvbg_color');
	$expert_videographer_studio_custom_css .= ' #header .m-btn .bttn2:hover {';
		$expert_videographer_studio_custom_css .= 'background: ' . esc_attr($expert_videographer_studio_buttonhrvbg_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studio_banner_heading1_color = get_theme_mod('expert_videographer_studio_banner_heading1_color');
	$expert_videographer_studio_custom_css .= ' #banner .contenbx h2 {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studio_banner_heading1_color) . ';';
	$expert_videographer_studio_custom_css .= '}';


	//about us
	$expert_videographer_studioaboutus_subheading_color = get_theme_mod('expert_videographer_studioaboutus_subheading_color');
	$expert_videographer_studio_custom_css .= '  #aboutus-section .abt-conbx h5 {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studioaboutus_subheading_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studioaboutus_heading_color = get_theme_mod('expert_videographer_studioaboutus_heading_color');
	$expert_videographer_studio_custom_css .= '  #aboutus-section .abt-conbx h4 {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studioaboutus_heading_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studioaboutus_headingspan_color = get_theme_mod('expert_videographer_studioaboutus_headingspan_color');
	$expert_videographer_studio_custom_css .= '  #aboutus-section .abt-conbx h4 span {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studioaboutus_headingspan_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studioaboutus_description_color = get_theme_mod('expert_videographer_studioaboutus_description_color');
	$expert_videographer_studio_custom_css .= ' #aboutus-section .description {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studioaboutus_description_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studioaboutus_boxnumber_color = get_theme_mod('expert_videographer_studioaboutus_boxnumber_color');
	$expert_videographer_studio_custom_css .= ' #aboutus-section .abt-counter .conterbx h3 {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studioaboutus_boxnumber_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studioaboutus_boxtext_color = get_theme_mod('expert_videographer_studioaboutus_boxtext_color');
	$expert_videographer_studio_custom_css .= ' #aboutus-section .abt-counter .conterbx p {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studioaboutus_boxtext_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studioaboutus_imgbg_color = get_theme_mod('expert_videographer_studioaboutus_imgbg_color');
	$expert_videographer_studio_custom_css .= ' #aboutus-section .image:before {';
		$expert_videographer_studio_custom_css .= 'background: ' . esc_attr($expert_videographer_studioaboutus_imgbg_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studioaboutus_yearofexpbg_color = get_theme_mod('expert_videographer_studioaboutus_yearofexpbg_color');
	$expert_videographer_studio_custom_css .= ' #aboutus-section .yearbx {';
		$expert_videographer_studio_custom_css .= 'background: ' . esc_attr($expert_videographer_studioaboutus_yearofexpbg_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studioaboutus_yearofexptext_color = get_theme_mod('expert_videographer_studioaboutus_yearofexptext_color');
	$expert_videographer_studio_custom_css .= ' #aboutus-section .num, #aboutus-section .num-txt {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studioaboutus_yearofexptext_color) . ';';
	$expert_videographer_studio_custom_css .= '}';



	//services
	$expert_videographer_studioservices_bg_color = get_theme_mod('expert_videographer_studioservices_bg_color');
	$expert_videographer_studio_custom_css .= ' #service-section {';
		$expert_videographer_studio_custom_css .= 'background: ' . esc_attr($expert_videographer_studioservices_bg_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studioservices_subheading_color = get_theme_mod('expert_videographer_studioservices_subheading_color');
	$expert_videographer_studio_custom_css .= ' #service-section .titlebx h5 {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studioservices_subheading_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studioservices_heading_color = get_theme_mod('expert_videographer_studioservices_heading_color');
	$expert_videographer_studio_custom_css .= ' #service-section .titlebx h4 {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studioservices_heading_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studioservices_offer_color = get_theme_mod('expert_videographer_studioservices_offer_color');
	$expert_videographer_studio_custom_css .= ' #service-section .titlebx h4 span {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studioservices_offer_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studioservices_description_color = get_theme_mod('expert_videographer_studioservices_description_color');
	$expert_videographer_studio_custom_css .= ' #service-section .titlebx P {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studioservices_description_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studioservices_pricetext_color = get_theme_mod('expert_videographer_studioservices_pricetext_color');
	$expert_videographer_studio_custom_css .= ' #service-section .subtitl h6 {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studioservices_pricetext_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studioservices_boxtitle_color = get_theme_mod('expert_videographer_studioservices_boxtitle_color');
	$expert_videographer_studio_custom_css .= ' #service-section .service-content .title {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studioservices_boxtitle_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studioservices_boxdescription_color = get_theme_mod('expert_videographer_studioservices_boxdescription_color');
	$expert_videographer_studio_custom_css .= ' #service-section .service-content p {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studioservices_boxdescription_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studioservices_boxlist_color = get_theme_mod('expert_videographer_studioservices_boxlist_color');
	$expert_videographer_studio_custom_css .= ' #service-section .list li {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studioservices_boxlist_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studioservices_boxbtntext_color = get_theme_mod('expert_videographer_studioservices_boxbtntext_color');
	$expert_videographer_studio_custom_css .= ' #service-section .bttn a {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studioservices_boxbtntext_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studioservices_boxbtnbg_color = get_theme_mod('expert_videographer_studioservices_boxbtnbg_color');
	$expert_videographer_studio_custom_css .= ' #service-section .bttn a {';
		$expert_videographer_studio_custom_css .= 'background: ' . esc_attr($expert_videographer_studioservices_boxbtnbg_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studioservices_boxbtnbghrv_color = get_theme_mod('expert_videographer_studioservices_boxbtnbghrv_color');
	$expert_videographer_studio_custom_css .= ' #service-section .bttn a:hover {';
		$expert_videographer_studio_custom_css .= 'background: ' . esc_attr($expert_videographer_studioservices_boxbtnbghrv_color) . ';';
	$expert_videographer_studio_custom_css .= '}';



	// footer
	$expert_videographer_studio_footer_copy_font_size = get_theme_mod('expert_videographer_studio_footer_copy_font_size');
	$expert_videographer_studio_custom_css .= ' #footer-section .copyright p {';
		$expert_videographer_studio_custom_css .= 'font-size: ' . esc_attr($expert_videographer_studio_footer_copy_font_size) . 'px;';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studiofooter_copyrighttext_color = get_theme_mod('expert_videographer_studiofooter_copyrighttext_color');
	$expert_videographer_studio_custom_css .= ' #footer-section .copyright p {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studiofooter_copyrighttext_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studiofooter_copyrightbg_color = get_theme_mod('expert_videographer_studiofooter_copyrightbg_color');
	$expert_videographer_studio_custom_css .= ' .copyright{';
		$expert_videographer_studio_custom_css .= 'background: ' . esc_attr($expert_videographer_studiofooter_copyrightbg_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studiofooter_copyrightbg_color = get_theme_mod('expert_videographer_studiofooter_copyrightbg_color');
	$expert_videographer_studio_custom_css .= ' #footer-section .f_tbrd {';
		$expert_videographer_studio_custom_css .= 'border-color: ' . esc_attr($expert_videographer_studiofooter_copyrightbg_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studiofooter_bg_color = get_theme_mod('expert_videographer_studiofooter_bg_color');
	$expert_videographer_studio_custom_css .= ' #footer-section {';
		$expert_videographer_studio_custom_css .= 'background: ' . esc_attr($expert_videographer_studiofooter_bg_color) . ';';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studio_wedgets_color = get_theme_mod('expert_videographer_studio_wedgets_color');
	$expert_videographer_studio_custom_css .= ' #footer-section h1, #footer-section h2, #footer-section h3, #footer-section h4, #footer-section h5, #footer-section h6 {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studio_wedgets_color) . ' !important;';
	$expert_videographer_studio_custom_css .= '}';

	$expert_videographer_studio_wedgets_menus_color = get_theme_mod('expert_videographer_studio_wedgets_menus_color');
	$expert_videographer_studio_custom_css .= ' .widget li a, aside#categories-5 li a, #footer-section a, #footer-section .logo a, #footer-section .logo p {';
		$expert_videographer_studio_custom_css .= 'color: ' . esc_attr($expert_videographer_studio_wedgets_menus_color) . ' !important;';
	$expert_videographer_studio_custom_css .= '}';


